Перейти к содержанию

Nanocad 5.1 не устанавливается.


Рекомендуемые сообщения

Добрый день!

Попробуйте скачать дистрибутив не в виде самораспаковывающего архива, а в ZIP файле, распакуйте в пустую папку и запустите setup.exe.

Cссылка ftp://ftp.nanocad.co...ad/NC51(2017RUS).zip

Ссылка на комментарий
Поделиться на другие сайты

У вас ошибка скачивания - попробуйте скачать с torrent-сети... http://rutracker.org/forum/viewtopic.php?t=4601985

Сейчас специально скачал, распаковал - все работает. Ошибка на вашей стороне какая-то...

Ссылка на комментарий
Поделиться на другие сайты

  • 2 месяца спустя...

Не смогли установить VS библиотеки. Права на машине какие?

Ссылка на комментарий
Поделиться на другие сайты

Попробуйте установить библиотеку до установки нанокада...

Из ftp://ftp.nanocad.com/nanocad/NC51(2017RUS).zip после разархивации запустите \PreReq\vcredist_x86.exe .

Если у вас 64-битная система - можно загрузить соответствующую версию Microsoft Visual C++ 2008 Redistributable с сайта майкрософта. Если она не будет опознаваться - удалить секцию

 

[PreReq2]

Name=Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.17

Url=http://www.microsoft.com/downloads/details.aspx?familyid=A5C84275-3B97-4AB7-A40D-3802B2AF5FC2

InstPath=#Root#\PreReq\vcredist_x86.exe

InstParams="#InstPath#" /Q

RegPath=HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\{9A25302D-30C0-39D9-BD6F-21E6EC160475}\DisplayVersion

RegCond=STRING>=9.0.30729

OSbit=0

 

в setup.ini

Ссылка на комментарий
Поделиться на другие сайты

с ссылки не скачивается. С сайта microsoft ни одна из версий не устанавливается, выдает ошибку. Без этой секции нанокад устанавливается, но при запуске выдает ошибку. На компьютере была установлена VC 2010, но после сноса 2008 все равно не устанавливается. Вопрос еще один, для работы нанокада нужна именно 2008, с 2010 работать не будет?

post-60631-0-95005800-1407303107.jpg

post-60631-0-58859700-1407303142.jpg

Ссылка на комментарий
Поделиться на другие сайты

  • 5 месяцев спустя...

Рабочая ссылка на архив "ftp://ftp.nanocad.com/nanocad/NC51(2017RUS).zip"

Нужна 2008, посмотрите в Control Panel - Programs and Features нет ли остатков от установки VC2010. Если 2008 не ставится - что-то, похоже, осталось...

Ссылка на комментарий
Поделиться на другие сайты

Нет, они могут оставаться, но если не ставится VC2008 - то ему мешает что-то из плохо установившегося или удаленного. Для чистоты стоит убрать 2008 и 2010 и поставить 2008. Если он не ставится - посмотреть, что застряло в системе.

 

У меня стоят все, начиная с 2005 по 2012...

 

vc_redist.jpg

Ссылка на комментарий
Поделиться на другие сайты

Попробуйте скачать с сайта Майкрософта под свою версию операционной системы. VC - 9.0.30729.

Ссылка на комментарий
Поделиться на другие сайты

Тут уже диагностировать удаленно сложно, но дело явно не в нанокаде. А какие сообщения при удалении?

Ссылка на комментарий
Поделиться на другие сайты

Тут уже диагностировать удаленно сложно, но дело явно не в нанокаде. А какие сообщения при удалении?

Через установку и удаление программ не получилось(ничего не писалось- нажимал удалить и все), а вот через программу MicrosoftFixit получилось. Но все равно не устанавливается Nanocad и Microsoft visual C++ 2008

Ссылка на комментарий
Поделиться на другие сайты

  • 7 месяцев спустя...

Чем закончилась эта история? У меня аналогичная проблема: при запуске инсталлятора 6 версии просит установить библиотеку VS, ставит... и просит поставить опять. Понятно, что проблема с конкретным ПК, но не понятен алгоритм решения. При запуске программы после установки вылетает в командной строке сообщения:

nanoCAD Геоника 6.0 6.0.2853.1, © 2015 Nanosoft

?

ТОПОПЛАН (ядро)

ГЕНПЛАННе удается загрузить модуль "GcCivEngine.nrx", ошибка: Произошел сбой в программе инициализации библиотеки динамической компоновки (DLL).

- не загружен.

СЕТИНе удается загрузить модуль "GcNetEngine.nrx", ошибка: Произошел сбой в программе инициализации библиотеки динамической компоновки (DLL).

- не загружен.

ТРАССЫНе удается загрузить модуль "GcAlgEngine.nrx", ошибка: Произошел сбой в программе инициализации библиотеки динамической компоновки (DLL).

- не загружен.

ГЕОМОДЕЛЬНе удается загрузить модуль "GcGeoEngine.nrx", ошибка: Произошел сбой в программе инициализации библиотеки динамической компоновки (DLL).

- не загружен.

Кто-нибудь сталкивался с такой проблемой?

Ссылка на комментарий
Поделиться на другие сайты

Присоединяйтесь к обсуждению

Вы можете написать сейчас и зарегистрироваться позже. Если у вас есть аккаунт, авторизуйтесь, чтобы опубликовать от имени своего аккаунта.

Гость
Ответить в этой теме...

×   Вставлено с форматированием.   Восстановить форматирование

  Разрешено использовать не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отображать как обычную ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставлять изображения напрямую. Загружайте или вставляйте изображения по ссылке.

Загрузка...
  • Расскажите друзьям

    Нравится Официальный форум компании Нанософт? Расскажите друзьям!
×
×
  • Создать...